# Class TCefCustomRenderProcessHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFRenderProcessHandler

## Declaration

`type TCefCustomRenderProcessHandler = class(TCefRenderProcessHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefRenderProcessHandlerOwn
- TCefCustomRenderProcessHandler

## Overview

### Fields

| `FCefApp: TCefApplicationCore;`
| `FLoadHandler: ICefLoadHandler;`

### Methods

| `procedure OnWebKitInitialized; override;`
| `procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); override;`
| `procedure OnBrowserDestroyed(const browser: ICefBrowser); override;`
| `function GetLoadHandler: ICefLoadHandler; override;`
| `procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;`
| `procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;`
| `procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); override;`
| `procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); override;`
| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage : ICefProcessMessage): Boolean; override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const aCefApp : TCefApplicationCore); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FCefApp: TCefApplicationCore;`
This item has no description.

| `FLoadHandler: ICefLoadHandler;`
This item has no description.

### Methods

| `procedure OnWebKitInitialized; override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.OnWebKitInitialized. Called after WebKit has been initialized.

| `procedure OnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue); override;`

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserCreated.

Called after a browser has been created. When browsing cross-origin a new browser will be created before the old browser with the same identifier is destroyed. |extra_info| is an optional read-only value originating from cef_browser_host_create_browser(), cef_browser_host_create_browser_sync(), ICefLifeSpanHandler.OnBeforePopup or cef_browser_view_create().

| `procedure OnBrowserDestroyed(const browser: ICefBrowser); override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.OnBrowserDestroyed. Called before a browser is destroyed.

| `function GetLoadHandler: ICefLoadHandler; override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.GetLoadHandler. Return the handler for browser load status events.

| `procedure OnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;`

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextCreated.

Called immediately after the V8 context for a frame has been created. To retrieve the JavaScript 'window' object use the ICefv8context.GetGlobal function. V8 handles can only be accessed from the thread on which they are created. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

| `procedure OnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context); override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.OnContextReleased. Called immediately before the V8 context for a frame is released. No references to the context should be kept after this function is called.

| `procedure OnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace); override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.OnUncaughtException. Called for global uncaught exceptions in a frame. Execution of this callback is disabled by default. To enable set TCefSettings.uncaught_exception_stack_size > 0.

| `procedure OnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode); override;`

This item has no description. Showing description inherited from ICefRenderProcessHandler.OnFocusedNodeChanged.

Called when a new node in the the browser gets focus. The |node| value may be NULL if no specific node has gained focus. The node object passed to this function represents a snapshot of the DOM at the time this function is executed. DOM objects are only valid for the scope of this function. Do not keep references to or attempt to access any DOM objects outside the scope of this function.

| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage : ICefProcessMessage): Boolean; override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.OnProcessMessageReceived. Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefRenderProcessHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const aCefApp : TCefApplicationCore); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.